#
# Available build options:
%bcond_with	checkpath	# enable check if php execution is within DOCUMENT_ROOT of the vhost

%define		mod_name	suphp
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: suPHP - execute PHP scripts with the permissions of their owners
Summary(pl.UTF-8):	Moduł do apache: suPHP - uruchamianie skryptów PHP z uprawnieniami ich właścicieli
Name:		apache-mod_%{mod_name}
Version:	0.7.2
Release:	1
License:	GPL
Group:		Networking/Daemons/HTTP
Source0:	http://www.suphp.org/download/%{mod_name}-%{version}.tar.gz
# Source0-md5:	852793953eec97f4ae992e366b517e81
Source1:	%{name}.logrotate
Source2:	%{name}.conf
Source3:	%{name}-suphp.conf
Patch0:		%{name}-compiler-flags.patch
Patch1:		%{name}-apache_version.patch
Patch2:		automake-1.13.patch
URL:		http://www.suphp.org/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.52-2
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
Requires:	php(cgi)
Conflicts:	logrotate < 3.7-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		apacheconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d
%define		apachelibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)

%description
suPHP is a tool for executing PHP scripts with the permissions of
their owners. It consists of an Apache module (mod_suphp) and a setuid
root binary (suphp) that is called by the Apache module to change the
uid of the process executing the PHP interpreter.

%description -l pl.UTF-8
suPHP jest narzędziem pozwalającym na wykonywanie skryptów w PHP z
uprawnieniami ich właścicieli. Składa się z modułu (mod_suphp) oraz
programu (suphp) z ustawionym bitem suid, który uruchamiany jest przez
moduł w celu zmiany uid procesu uruchamiającego interpreter PHP.

%prep
%setup -q -n %{mod_name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
APACHE_VERSION=$(rpm -q --qf '%{V}' apache-devel); export APACHE_VERSION
%configure \
	--%{?with_checkpath:en}%{!?with_checkpath:dis}able-checkpath \
	--with-apache-user=http \
	--with-min-uid=500 \
	--with-min-gid=1000 \
	--with-apxs=%{apxs} \
	--with-apr=%{_bindir}/apr-1-config \
	--with-setid-mode=owner \
	--with-logfile=/var/log/httpd/suphp_log

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{apachelibdir},%{_datadir}/suphp}
install -d $RPM_BUILD_ROOT%{apacheconfdir}

install -p src/suphp $RPM_BUILD_ROOT%{_sbindir}
install -p src/apache2/.libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{apachelibdir}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{apacheconfdir}/70_mod_%{mod_name}.conf
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/%{mod_name}.conf

install -d $RPM_BUILD_ROOT/etc/logrotate.d
cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/apache-mod_suphp
cp -p doc/suphp.conf-example $RPM_BUILD_ROOT%{_datadir}/suphp

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog doc
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/*_mod_%{mod_name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{mod_name}.conf
%attr(755,root,root) %{apachelibdir}/*.so
%attr(4755,root,root) %{_sbindir}/suphp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*
%dir %{_datadir}/suphp
%{_datadir}/suphp/*
%changelog
* Sat Nov 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_suphp.git;a=log;h=master

* Mon Nov 03 2014 Patryk Szczygłowski <patryk@patryk.net> bc97f20
- update to 0.7.2

* Wed Jun 18 2014 Elan Ruusamäe <glen@delfi.ee> 131ba8d
- use virtual php(cgi)

* Fri Apr 12 2013 Łukasz Kieś <kiesiu@pld-linux.org> 8b342df
- fix for building with apache-2.4
- added patch to build with automake >= 1.13
- rel. 4

* Tue May 04 2010 Jan Rękorajski <baggins@pld-linux.org> cc041e3
- rel 3
- quote path in suphp.conf, without quotes parsing stops at first ':'

* Tue May 04 2010 Jan Rękorajski <baggins@pld-linux.org> b5424db
- quote path, without quotes parsing stops at first ':'

* Mon Nov 30 2009 Jan Rękorajski <baggins@pld-linux.org> f3b3277
- rel 2
- restart apache properly

* Sat Apr 25 2009 Adam Gołębiowski <adamg@pld-linux.org> d221d94
- updated to 0.7.1

* Sat Feb 28 2009 Adam Gołębiowski <adamg@pld-linux.org> 812a108
- fix for 0.7.0

* Sat Feb 28 2009 Adam Gołębiowski <adamg@pld-linux.org> 9bdf7b7
- updated to 0.7.0
- apr patch dropped
- pass --with-apr configure option
- drop obsolete --disable-checkuid and --disable-checkgid options
- call libtoolize, BR: libtool

* Sat Feb 28 2009 Adam Gołębiowski <adamg@pld-linux.org> 583ba5a
- obsolete as of suphp-0.7.0

* Fri Jan 23 2009 Adam Gołębiowski <adamg@pld-linux.org> 44ce745
- previous commit reverted (mistake)

* Fri Jan 23 2009 Adam Gołębiowski <adamg@pld-linux.org> 1b3cbb6
- updated to 1.7.5

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> 0dca107
- HTTP group

* Sun May 11 2008 hawk <hawk@pld-linux.org> ac7808f
- updated to 0.6.3

* Wed Dec 26 2007 Elan Ruusamäe <glen@pld-linux.org> 83d5fc3
- use conf.d for apache config fragment; rel 2

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> 053bbfa
- apache-apxs -> %{apxs} in BR

* Mon Sep 17 2007 Mariusz Mazur <mmazur@pld-linux.org> 47bc7ba
- up to 0.6.2; rel 1; sent to th

* Mon Sep 17 2007 Mariusz Mazur <mmazur@pld-linux.org> cd11838
- updated to 0.6.2

* Tue Sep 11 2007 Tomasz Pala <gotar@pld-linux.org> 5751bdb
- oops, it's 3.7-4 not 3.7.4

* Tue Sep 11 2007 Tomasz Pala <gotar@pld-linux.org> 8825cc8
- C: logrotate < 3.7.4 due to archiv -> archive transition

